Public Member Functions | Private Attributes | List of all members
libpagemaker::PMDBitmap Class Reference

`#include <geometry.h>`

Inheritance diagram for libpagemaker::PMDBitmap:

## Public Member Functions
| PMDBitmap (const PMDShapePoint &bboxTopLeft, const PMDShapePoint &bboxBotRight, const PMDXForm &xFormContainer, const librevenge::RVNGBinaryData &bitmap)
double | getRotation () const override
double | getSkew () const override
PMDShapePoint | getXformTopLeft () const override
PMDShapePoint | getXformBotRight () const override
PMDShapePoint | getRotatingPoint () const override
PMDShapePoint | getBboxTopLeft () const override
PMDShapePoint | getBboxBotRight () const override
bool | getIsClosed () const override
std::vector< PMDShapePoint > | getPoints () const override
uint8_t | shapeType () const override
PMDFillProperties | getFillProperties () const override
PMDStrokeProperties | getStrokeProperties () const override
std::string | getText () const override
std::vector< PMDCharProperties > | getCharProperties () const override
std::vector< PMDParaProperties > | getParaProperties () const override
librevenge::RVNGBinaryData | getBitmap () const override
| ~PMDBitmap () override
Public Member Functions inherited from libpagemaker::PMDLineSet
virtual | ~PMDLineSet ()

## Private Attributes
PMDShapePoint | m_bboxTopLeft
PMDShapePoint | m_bboxBotRight
PMDXForm | m_xFormContainer
librevenge::RVNGBinaryData | m_bitmap

## Constructor & Destructor Documentation

## ◆ PMDBitmap()

libpagemaker::PMDBitmap::PMDBitmap | ( | const PMDShapePoint & | bboxTopLeft,
|  | const PMDShapePoint & | bboxBotRight,
|  | const PMDXForm & | xFormContainer,
|  | const librevenge::RVNGBinaryData & | bitmap
| ) |  |
| inline

## ◆ ~PMDBitmap()

libpagemaker::PMDBitmap::~PMDBitmap | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ getBboxBotRight()

PMDShapePoint libpagemaker::PMDBitmap::getBboxBotRight | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getBboxTopLeft()

PMDShapePoint libpagemaker::PMDBitmap::getBboxTopLeft | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getBitmap()

librevenge::RVNGBinaryData libpagemaker::PMDBitmap::getBitmap | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getCharProperties()

std::vector<PMDCharProperties> libpagemaker::PMDBitmap::getCharProperties | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getFillProperties()

PMDFillProperties libpagemaker::PMDBitmap::getFillProperties | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getIsClosed()

bool libpagemaker::PMDBitmap::getIsClosed | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getParaProperties()

std::vector<PMDParaProperties> libpagemaker::PMDBitmap::getParaProperties | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getPoints()

std::vector<PMDShapePoint> libpagemaker::PMDBitmap::getPoints | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotatingPoint()

PMDShapePoint libpagemaker::PMDBitmap::getRotatingPoint | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getRotation()

double libpagemaker::PMDBitmap::getRotation | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getSkew()

double libpagemaker::PMDBitmap::getSkew | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getStrokeProperties()

PMDStrokeProperties libpagemaker::PMDBitmap::getStrokeProperties | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getText()

std::string libpagemaker::PMDBitmap::getText | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformBotRight()

PMDShapePoint libpagemaker::PMDBitmap::getXformBotRight | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ getXformTopLeft()

PMDShapePoint libpagemaker::PMDBitmap::getXformTopLeft | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## ◆ shapeType()

uint8_t libpagemaker::PMDBitmap::shapeType | ( |  | ) | const
| inline override virtual

Implements libpagemaker::PMDLineSet.

## Member Data Documentation

## ◆ m_bboxBotRight

PMDShapePoint libpagemaker::PMDBitmap::m_bboxBotRight
| private

## ◆ m_bboxTopLeft

PMDShapePoint libpagemaker::PMDBitmap::m_bboxTopLeft
| private

## ◆ m_bitmap

librevenge::RVNGBinaryData libpagemaker::PMDBitmap::m_bitmap
| private

## ◆ m_xFormContainer

PMDXForm libpagemaker::PMDBitmap::m_xFormContainer
| private

The documentation for this class was generated from the following file:

- geometry.h